%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Blowfish_PP
Summary:	Crypt::Blowfish_PP Perl module - pure Perl Blowfish alghoritm implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::Blowfish_PP - implementacja algorytmu Blowfish w samym Perlu
Name:		perl-Crypt-Blowfish_PP
Version:	1.12
Release:	4
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6bf7dc80967eaf3047b67b26b015267d
URL:		http://search.cpan.org/dist/Crypt-Blowfish_PP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::Blowfish_PP module provides for users to use the Blowfish
encryption algorithm in Perl. The implementation is entirely Object
Oriented, as there is quite a lot of context inherent in making
Blowfish as fast as it is. The key is anywhere between 64 and 448 bits
(8 and 56 bytes), and should be passed as a packed string. The
transformation itself is a 16-round Feistel Network, and operates on a
64 bit block.

%description -l pl.UTF-8
Moduł Crypt::Blowfish_PP pozwala na korzystanie z algorytmu
szyfrowania Blowfish w samym Perlu. Implementacja jest w pełni
zorientowana obiektowo, jako że potrzeba sporo rzeczy związanych z
kontekstem, aby Blowfish działał tak szybko jak działa. Klucza może
dowolnej długości między 64 a 448 bitów (8 i 56 bajtów) i powinien być
przekazany jako spakowany łańcuch. Sama transformacja jest 16-krokową
siecią Feistela i operuje na 64-bitowym bloku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%{perl_vendorlib}/Crypt/Blowfish_PP.pm
%{_mandir}/man3/Crypt::Blowfish_PP.3pm*
%changelog
* Fri Apr 14 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Crypt-Blowfish_PP.git;a=log;h=master

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> ec80fb7
- added URL, unified Source URL

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c9ca572
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 29375ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9da7f20
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8fc58bb
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 35b5647
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7c9b71a
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 66aa248
- fixed perl-devel BR

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 6688b50
- license fixes and unification

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b862b04
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 992973d
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 348cfb9
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> e2f0626
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 6d1d1f5
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 1d2d889
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 44a6ce3
- massive attack: change CPAN URLs

* Sun Aug 18 2002 Paweł Gołaszewski <blues@pld-linux.org> 8329b5e
- license fix

* Sun Jul 28 2002 Jakub Bogusz <qboosh@pld-linux.org> c39f8e8
- new

